## nufw 2.2.11

=== doc/diagram/Makefile ===
png:
	dia -t png *.dia

## nufw 1.0-2ubuntu1

=== debian/changelog ===
nufw (1.0-2ubuntu1) breezy; urgency=low

  * Clean up references to (optional) sa_restorer.  Closes: #307210

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 14 Sep 2005 20:10:21 -0600

nufw (1.0-2) unstable; urgency=low

  * Improve the description.
  (closes: #299516)
  * Remove the translation mark from untranslatable strings in debconf
    templates.
  (closes: #299274)
  * Add fr nufw debconf templates translation.
  (closes: #300350)
  * Add pt_BR nufw debconf templates translation.
  (closes: #302755)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon,  4 Apr 2005 22:54:37 +0200

nufw (1.0-1) unstable; urgency=low

  * New upstream release.
  * Add --with-system-auth to configure in debian/rules to support PAM+NSS
    authentication.
  * Add --with-ldap to support LDAP directory for users and acl lookup.
  * Add --with-gdbm to support gdbm users lookup.
  * Add --with-ident to support support ident users authentication.
  * Add libgcrypt11-dev, libgnutls11-dev, libident-dev, libpam-dev to
    Build-Depends.
  * Add postrm and preinst for nuauth.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue, 22 Feb 2005 22:53:22 +0100

nufw (0.8.5-3) unstable; urgency=low

  * Change debian/copyright to reflect changes made by upstreams to the
    license.
  * Initial upload in Debian. Thanks to Vincent Deffontaines for packaging the
    package before me.
  (closes: #258746)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon, 20 Dec 2004 22:23:16 +0100

nufw (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * Upstream add an exception to the GPL which allows linking with OpenSSL.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Wed,  1 Sep 2004 23:03:10 +0200

nufw (0.8.2-1) unstable; urgency=low

  * Update Description in debian/control. Thanks to Brandon Robinson.
  * Switch to gettext for the debconf templates.
  * Change the way of packaging.
  * Correct minor policy violations.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Fri, 30 Jul 2004 13:41:25 +0200

nufw (0.8.1-1) unstable; urgency=low

  * New upstream version. Adds a paquet for libnuclient, the client
  authentication library.

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon,  19 Jul 2004 21:23:13 +0200

nufw (0.8.0-1) unstable; urgency=low

  * New upstream version. Adds the strict logs update option, together with
    some scaling bugfix, that would cause nuauth to grow heavily on some
    particular [DoS] conditions.

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon,  5 Jul 2004 21:23:13 +0200

nufw (0.7.1-1) unstable; urgency=low

  * New upstream version. Fixes some bug that would rarely memleak nuauth.
    Adds the SQL sync option.

 -- Vincent Deffontaines <vincent@gryzor.com>  Fri, 11 Jun 2004 18:08:19 +0200

nufw (0.7.0-1) unstable; urgency=low

  * New upstream version. 0.7.0 is the first release with SSL connections all
    the way.

 -- Vincent Deffontaines <vincent@gryzor.com>  Tue, 30 Mar 2004 21:18:37 +0200

nufw (0.6.5-1) unstable; urgency=low

  * New upstream version

 -- Vincent Deffontaines <vincent@gryzor.com>  Sun, 14 Mar 2004 18:52:38 +0100

nufw (0.6.4-1) unstable; urgency=low

  * New upstream version
  * Splitted debian nuauth packages into 3, so that modules support is ...
    modular

 -- Vincent Deffontaines <vincent@gryzor.com>  Wed,  7 Jan 2004 23:49:34 +0100

nufw (0.6.3-1) unstable; urgency=low

  * Nesw upstream version

 -- Vincent Deffontaines <vincent@gryzor.com>  Wed,  7 Jan 2004 00:33:47 +0100

nufw (0.6.2-1) unstable; urgency=low

  * Upstream changed to 0.6.2

 -- Vincent Deffontaines <vincent@gryzor.com>  Sun,  4 Jan 2004 23:42:57 +0100

nufw (0.6.1-1) unstable; urgency=low

  * Upstream changed to 0.6.1

 -- Vincent Deffontaines <vincent@gryzor.com>  Mon, 22 Dec 2003 15:55:24 +0100

nufw (0.5.4-1) unstable; urgency=low

  * Initial Release.

 -- Vincent Deffontaines <vincent@gryzor.com>  Thu, 13 Nov 2003 13:03:54 +0100

=== debian/control ===
Source: nufw
Section: net
Priority: optional
Maintainer: Jean-Michel Kelbert <kelbert@debian.org> 
Build-Depends: debhelper (>= 4.1.16),po-debconf, automake1.9, libldap2-dev, libgdbm-dev, libglib2.0-dev, libmysqlclient-dev, postgresql-dev, iptables-dev, libtool, libident-dev, libgnutls11-dev, libsasl2-dev, libpam0g-dev
Standards-Version: 3.6.0

Package: nufw
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: Per-user firewalling daemon that interfaces with libipq
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 Nufw is the daemon that receives some network packets through the QUEUE
 netfilter rule.  Informations about those packets are forwarded to the 
 nuauth daemon, which decides if packets should be accepted or denied, 
 sends back the information to Nufw that applies decisions.

Package: nuauth
Architecture: any
Depends: ${shlibs:Depends}, debconf, libsasl2-modules
Recommends: nuauth-utils
Description: The authentication daemon from the nufw package
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 Nuauth lays on a user database, and an ACL system (which can reside in an LDAP
 directory, or XML/DBM solutions, etc.
 Nuauth receives requests from nufw, and auth packets from users' clients,
 and sends decision to the nufw daemon.

Package: nuauth-extra
Architecture: any
Depends: ${shlibs:Depends}, debconf, nuauth
Recommends: nuauth-utils
Description: The authentication daemon from the nufw package
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 Nuauth lays on a user database, and an ACL system (which can reside in an LDAP
 directory, or XML/DBM solutions, etc.
 Nuauth receives requests from nufw, and auth packets from users' clients,
 and sends decision to the nufw daemon.
 .
 Nuauth-extra provides extra modules for nuauth.

Package: nuauth-log-mysql
Architecture: any
Depends: ${shlibs:Depends}, debconf, nuauth
Conflicts: nuauth-log-pgsql
Recommends: nuauth-utils
Description: Module for nuauth logging into mysql databases
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 This package adds support for nuauth logging users activity into a Mysql
 database. You can use this for an SSO solution, too.

Package: nuauth-log-pgsql
Architecture: any
Depends: ${shlibs:Depends}, debconf, nuauth
Conflicts: nuauth-log-mysql
Recommends: nuauth-utils
Description: Module for nuauth logging into PostgreSQL databases
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 This package adds support for nuauth logging users activity into a postgreSQL
 database. You can use this for an SSO solution, too.

Package: nutcpc
Architecture: any
Depends: ${shlibs:Depends}
Description: a linux client for the nufw authentication gateway system
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 nutcpc is the GNU/Linux client for the nufw authentication gateway.
 when network traffic leaves the machine, nutcpc deals with it and sends
 authenticating data to the nuauth server.

Package: nuauth-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Set of tools useful to nuauth admin
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 nuaclgen is a perl script that helps generate LDAP ACLs for use with nuauth,
 the nufw auth daemon.

Package: libnuclient
Architecture: any
Depends: ${shlibs:Depends}, libsasl2-modules
Description: client library for nufw authentication
 NuFW is an authenticating gateway, which means that connections are
 authenticated before being forwarded through the gateway.  Classical packet
 filtering systems disregard the identity of the user who may be attempting to
 access the network, instead caring only about the originating IP addresses.
 .
 This library provides a convenient system to build NuFW authentication client.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --localstatedir=/var --sysconfdir=/etc/nufw/ --with-mysql-log --with-pgsql-log --with-system-auth --with-ldap --with-gdbm --with-ident

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/nufw.sgml > nufw.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nufw.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	mkdir -p $(CURDIR)/debian/tmp/etc/nufw/

	cp $(CURDIR)/conf/nuauth.conf $(CURDIR)/debian/tmp/etc/nufw/
	cp $(CURDIR)/conf/nuaclgen.conf $(CURDIR)/debian/tmp/etc/nufw/
	cp $(CURDIR)/conf/nutop.conf $(CURDIR)/debian/tmp/etc/nufw/
	cp $(CURDIR)/scripts/nuaclgen $(CURDIR)/debian/tmp/usr/bin
	cp $(CURDIR)/scripts/nutop $(CURDIR)/debian/tmp/usr/bin
#	cp $(CURDIR)/conf/nufw.init $(CURDIR)/debian/tmp/etc/init.d/nufw
#	cp $(CURDIR)/conf/nuauth $(CURDIR)/debian/tmp/etc/init.d/nuauth
#	chmod 755 $(CURDIR)/debian/tmp/etc/init.d/*


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit --no-start -u"start 40 S . stop 89 0 6 ."
#	dh_installcron
#	dh_installinfo
	dh_installman -pnufw doc/nufw.1
	dh_installman -pnufw doc/nufw_dbm.1
	dh_installman -pnuauth doc/nuauth.1
	dh_installman -pnutcpc doc/nutcpc.1
	dh_installman -pnuauth-utils doc/nuaclgen.1
	dh_installman -pnuauth-utils doc/nutop.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -n
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nufw 2.0.9-5.2ubuntu2

=== debian/changelog ===
nufw (2.0.9-5.2ubuntu2) feisty; urgency=low

  * debian/control: Change obsolete build dependency postgresql-dev to
    libpq-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  5 Feb 2007 11:23:18 +0100

nufw (2.0.9-5.2ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Switch to using Type: boolean instead of Type: select for some
      questions in nuauth.

 -- Albin Tonnerre <lut1n.tne@gmail.com>  Thu, 01 Feb 2007 22:24:48 +0000

nufw (2.0.9-5.2) unstable; urgency=high

  * Non-maintainer upload.
  * Added nauth: missing pre-dep on passwd (Closes: #408269)
    - added pre-dep on adduser too, since it uses adduser in preinst
  * Urgency high due RCness

 -- Bastian Venthur <venthur@debian.org>  Thu,  1 Feb 2007 11:54:30 +0100

nufw (2.0.9-5.1ubuntu1) feisty; urgency=low

  * Merge from Debian unstable.
  * Ubuntu changes remaining:
    - Switch to using Type: boolean instead of Type: select for some
      questions in nuauth.
    - Add adduser to nuauth's Pre-Depends, since adduser is called in the 
      preinst.  
  * Ubuntu changes dropped:
    - Remove debian/nuauth.conffiles.
    - Add debconf-updatepo to the clean target in debian/rules.
  
 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 19 Dec 2006 14:38:44 +1100

nufw (2.0.9-5.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Add debconf-updatepo to the clean target in debian/rules
    Closes: #349839
  * add the nufw20.templates and nuauth20.templates files to
    debian/po/POTFILES.in so that these files are translated too
  * General rewrite of the debconf templates in a desperate attempt to
    have them DevRef compliant, remove untranslatable strings and,
    unfortunately, drive translators crazy. Closes: #361423
  * Fix typo in the package description. Closes: #390090
  * Lintian fixes:
    - Remove redundant declaration of conffiles in /etc. Closes: #356772
  * Debconf translation updates:
    - French updated
    - Czech updated. Closes: #345142
    - Swedish updated. Closes: #347608
    - German added. Sent during the call for updates for the NMU campaign.
    - Russian added. Sent during the call for updates for the NMU campaign.

 -- Christian Perrier <bubulle@debian.org>  Sun,  3 Dec 2006 12:14:00 +0100

nufw (2.0.9-5) unstable; urgency=low

  * One more patch for compilation on hppa.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sat,  2 Dec 2006 12:31:12 +0100

nufw (2.0.9-4) unstable; urgency=low

  * Apply a patch provided by upstream to compile on hppa. This time it should
    work !

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue, 28 Nov 2006 21:12:17 +0100

nufw (2.0.9-3ubuntu1) feisty; urgency=low

  * Merge from Debian unstable.
  * Ubuntu changes kept:
    - Switch to using Type: boolean instead of Type: select for some
      questions in nuauth.
    - Remove debian/nuauth.conffiles.
    - Add debconf-updatepo to the clean target in debian/rules.
  * Ubuntu changes dropped:
    - Add adduser to nuauth's dependencies.
    - Also correct a badly formed Template.
  * Add adduser to nuauth's Pre-Depends, since adduser is called in the 
    preinst.  

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 20 Nov 2006 20:09:08 +1100

nufw
(2.0.9-3) unstable; urgency=low

  * Apply a patch provided by upstream to compile on hppa.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Thu,  9 Nov 2006 21:41:03 +0100

nufw (2.0.9-2) unstable; urgency=low

  * Change copyright file to not include the entire GPL.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Wed,  1 Nov 2006 20:04:30 +0100

nufw (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Adapt packaging to version 2.
  * Many thanks to Vincent Deffontaines for its packaging.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon,  9 Oct 2006 21:58:20 +0200

nufw (1.0.23-1.1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 22 Aug 2006 03:17:50 -0500

nufw (1.0.23-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Unbreak syntactically wrong debconf template, which caused problems
    during package installation. (Closes: #360581)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 16 Jul 2006 00:02:00 +0200

nufw (1.0.23-1ubuntu1) edgy; urgency=low

  * Switch to using Type: boolean instead of Type: select for some
    questions in nuauth.
  * Also correct a badly formed Template.
  * Remove debian/nuauth.conffiles.
  * Add debconf-updatepo to the clean target in debian/rules.
  * Add adduser to nuauth's dependencies.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 12 Jul 2006 14:00:28 +1000

nufw (1.0.23-1) unstable; urgency=low

  * New upstream release
  * Update debconf configuration to take care of new options.
  * Upgrade build depends to libmysqlclient15-dev
  (closes: #356719)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Thu, 30 Mar 2006 21:01:38 +0200

nufw (1.0.16-1) unstable; urgency=low

  * New upstream release. This is a security release. The NuFW team has
    identified a problem that could lead to Denial of Service from legitimate
    users of the authentication service.
    This has been assigned CVE-2005-3950.
  (closes: #341544)
  * Add debconf-updatepo in debian/rules.
  (closes: #329942)
  * Add debconf-2.0 as an alternate to debconf.
  (closes: #332049)
  * Use gnutls12 instead of gnutls11.
  (closes: #335769)
  * Update the French translation for debconf.
  (closes: #332575)
  * Add the Swedish translation for debconf.
  (closes: #336780)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue, 27 Dec 2005 17:04:58 +0100

nufw (1.0.13-1) unstable; urgency=low

  * New upstream release

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sun, 16 Oct 2005 18:12:39 +0200

nufw (1.0.11-1) unstable; urgency=low

  * Add the Vietnamese translation for debconf.
  (closes: #316322)
  * Add the French translation for debconf.
  (closes: #307763)
  * Add the Czech translation for debconf.
  (closes: #310700)



=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Jean-Michel Kelbert <kelbert@debian.org> 
-Build-Depends: debhelper (>= 4.1.16),po-debconf, automake1.9, libldap2-dev, libgdbm-dev, libglib2.0-dev, libmysqlclient-dev, postgresql-dev, iptables-dev, libtool, libident-dev, libgnutls11-dev, libsasl2-dev, libpam0g-dev
+Build-Depends: debhelper (>= 4.1.16),po-debconf, automake1.9, libldap2-dev, libgdbm-dev, libglib2.0-dev, libmysqlclient-dev, libpq-dev, iptables-dev, libtool, libident-dev, libgnutls-dev, libsasl2-dev, libpam0g-dev
 Standards-Version: 3.6.0
 
 Package: nufw
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
-Description: Per-user firewalling daemon that interfaces with libipq
+Depends: ${shlibs:Depends}, debconf, ssl-cert, openssl
+Description: a per-user firewalling daemon that interferes with libipq
  NuFW is an authenticating gateway, which means that connections are
  authenticated before being forwarded through the gateway.  Classical packet
  filtering systems disregard the identity of the user who may be attempting to
@@ -21,7 +21,8 @@
 
 Package: nuauth
 Architecture: any
-Depends: ${shlibs:Depends}, debconf, libsasl2-modules
+Pre-Depends: passwd, adduser
+Depends: ${shlibs:Depends}, debconf, libsasl2-modules, ssl-cert, openssl
 Recommends: nuauth-utils
 Description: The authentication daemon from the nufw package
  NuFW is an authenticating gateway, which means that connections are
@@ -114,3 +115,17 @@
  access the network, instead caring only about the originating IP addresses.
  .
  This library provides a convenient system to build NuFW authentication client.
+
+Package: libpam-nufw
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Pluggable Authentication Module for nufw authentication
+ NuFW is an authenticating gateway, which means that connections are
+ authenticated before being forwarded through the gateway.  Classical packet
+ filtering systems disregard the identity of the user who may be attempting to
+ access the network, instead caring only about the originating IP addresses.
+ .
+ This module allows to open a client connection to the nufw authentication gateway.
+ When network traffic leaves the machine, it deals with it and sends
+ authenticating data to the nuauth server.
+

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,10 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --localstatedir=/var --sysconfdir=/etc/nufw/ --with-mysql-log --with-pgsql-log --with-system-auth --with-ldap --with-gdbm --with-ident
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
+		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --localstatedir=/var \
+		--sysconfdir=/etc/nufw/ --with-mysql-log --with-pgsql-log --with-system-auth --with-ldap \
+		--with-gdbm --with-ident
 
 build: build-stamp
 
@@ -47,6 +50,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
+	debconf-updatepo
 
 	dh_clean 
 
@@ -60,14 +64,29 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
 	mkdir -p $(CURDIR)/debian/tmp/etc/nufw/
 
-	cp $(CURDIR)/conf/nuauth.conf $(CURDIR)/debian/tmp/etc/nufw/
+	sed -e "s^ *nuauth_tls_key=.*nuauth_tls_key=\"/etc/nufw/certs/nuauth-key.pem\"" \
+	    -e "s^ *nuauth_tls_cert=.*nuauth_tls_cert=\"/etc/nufw/certs/nuauth-cert.pem\"" \
+	    -e "s^ *plaintext_aclfile=.*plaintext_aclfile=\"/etc/nufw/acls.nufw\"" \
+	    -e "s^ *plaintext_userfile=.*plaintext_userfile=\"/etc/nufw/users-plaintext.nufw\"" \
+	     < $(CURDIR)/conf/nuauth.conf >$(CURDIR)/debian/tmp/etc/nufw/nuauth.conf
+	cp $(CURDIR)/conf/acls.nufw $(CURDIR)/debian/tmp/etc/nufw/
+	cp $(CURDIR)/conf/users-plaintext.nufw $(CURDIR)/debian/tmp/etc/nufw/
+	cp $(CURDIR)/conf/periods.xml $(CURDIR)/debian/tmp/etc/nufw/
 	cp $(CURDIR)/conf/nuaclgen.conf $(CURDIR)/debian/tmp/etc/nufw/
 	cp $(CURDIR)/conf/nutop.conf $(CURDIR)/debian/tmp/etc/nufw/
 	cp $(CURDIR)/scripts/nuaclgen $(CURDIR)/debian/tmp/usr/bin
 	cp $(CURDIR)/scripts/nutop $(CURDIR)/debian/tmp/usr/bin
+	cp $(CURDIR)/scripts/clean_conntrack.pl $(CURDIR)/debian/tmp/usr/sbin
+#default certificates
+#	cp $(CURDIR)/conf/certs/nufw-key.pem $(CURDIR)/debian/tmp/etc/nufw/certs
+#	cp $(CURDIR)/conf/certs/nufw-cert.pem $(CURDIR)/debian/tmp/etc/nufw/certs
+#	cp $(CURDIR)/conf/certs/nuauth-key.pem $(CURDIR)/debian/tmp/etc/nufw/certs
+#	cp $(CURDIR)/conf/certs/nuauth-cert.pem $(CURDIR)/debian/tmp/etc/nufw/certs
+	
 #	cp $(CURDIR)/conf/nufw.init $(CURDIR)/debian/tmp/etc/init.d/nufw
 #	cp $(CURDIR)/conf/nuauth $(CURDIR)/debian/tmp/etc/init.d/nuauth
 #	chmod 755 $(CURDIR)/debian/tmp/etc/init.d/*
+#	ln -s $(CURDIR)/debian/tmp/usr/lib/nuauth $(CURDIR)/debian/tmp/usr/lib/nuauth
 
 
 # Build architecture-independent files here.
@@ -88,7 +107,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_installinit --no-start -u"start 40 S . stop 89 0 6 ."
+	dh_installinit -u"start 40 2 3 4 5 . stop 89 0 1 6 ."
 #	dh_installcron
 #	dh_installinfo
 	dh_installman -pnufw doc/nufw.1

## nufw 2.4.3

=== debian/changelog ===
nufw (2.4.3-3) unstable; urgency=low

  * Rewrite packaging files
    - Switch to DH 9
    - Enable all hardening flags
    - Enable multiarch
    - Add 10-fix-format-strings.patch
    - Add 11-fix-ftbfs-pthread_cancel.patch (Closes: #713731)
    - Switch to dh_python2 (Closes: #715300)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 08 Jul 2013 10:47:12 +0200

nufw (2.4.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "postinst deletes files from /usr/share/nuauth/":
    nuauth.postinst: use cp instead of mv in the replace_file function
    (Closes: #688249)
  * Fix "postinst deletes /usr/share/nufw/nufw.conf breaking package
    reconfiguration":
    nufw.postinst: use cp instead of mv in the replace_file function
    (Closes: #688615)

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Sep 2012 18:49:59 +0200

nufw (2.4.3-2.1) unstable; urgency=low

  [ Andreas Metzler ]
  * Stop shipping libtool la files in binary packages. (Closes: #591553)
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

  [ Ondřej Surý ]
  * Non-maintainer upload.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2011 08:55:37 +0200

nufw (2.4.3-2) unstable; urgency=low

  * Force linking against -lpthread to fix FTBFS with
    binutils-gold (Closes: #615757)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Feb 2011 11:31:39 +0100

nufw (2.4.3-1) unstable; urgency=low

  * Imported Upstream version 2.4.3
  * Set section for libpam-nufw to admin
  * Bump standards version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Tue, 17 Aug 2010 12:10:24 +0200

nufw (2.4.2-1) unstable; urgency=low

  * Imported Upstream version 2.4.2
  * Reapply upstream patch before merge

 -- Pierre Chifflier <pollux@debian.org>  Fri, 28 May 2010 07:57:17 +0200

nufw (2.4.1-1) unstable; urgency=high

  * Imported Upstream version 2.4.1
  * Fix bashism in init script (Closes: #581130)
  * Urgency high, serious bug (and release goal)
  * Revert upstream patch to support sub-CA, patch is specific to
    OpenSSL

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 May 2010 21:10:31 +0200

nufw (2.4.0-1) unstable; urgency=low

  * New upstream major version 2.4.0
  * Update watch file
  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Mar 2010 21:28:28 +0100

nufw (2.4.0~rc1-1) experimental; urgency=low

  * New upstream release: release condidate for new major version (2.4)
  * Add new binary packages libnussl1 and libnussl-dev
  * Rename libnuclient3 to libnuclient4 (API change)
  * Add to build-deps: flex, bison
  * Bump standards version to 3.8.3
  * Fix typo in description (Closes: #557564)
  * Remove nufw certificates on purge (Closes: #455117)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 20 Feb 2010 18:52:57 +0100

nufw (2.2.21-4) unstable; urgency=high

  * Fix FTBFS against gnutls26 >= 2.7.x (Closes: #529841)
    This required to run autogen.sh
  * Urgency high because of above bug
  * Update dependency on libmysqlclient-dev
  * Bump standards version to 3.8.2 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 15 Aug 2009 16:33:32 +0200

nufw (2.2.21-3) unstable; urgency=low

  * Apply patch from Jérôme Soyer:
  * Add more modules to nuauth:
    - mark_field
    - mark_flag
    - session_authtype
  * Add more modules to nuauth-extra:
    - script

 -- Pierre Chifflier <pollux@debian.org>  Tue, 10 Mar 2009 15:34:07 +0100

nufw (2.2.21-2) unstable; urgency=low

  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Wed, 25 Feb 2009 12:03:36 +0100

nufw (2.2.21-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 04 Feb 2009 13:49:18 +0100

nufw (2.2.20-2) experimental; urgency=low

  * Add Homepage field (Closes: #511453)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 19 Jan 2009 11:08:20 +0100

nufw (2.2.20-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 10 Dec 2008 13:36:54 +0100

nufw (2.2.19-1) experimental; urgency=low

  * New upstream release
  * Upstream uses strict TLS checking mode by default. Use less
    strict, but easier to use configuration (see README.Debian)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 05 Dec 2008 10:21:05 +0100

nufw (2.2.15-3) unstable; urgency=low

  * Rewrite certificate generation code to use make-ssl-cert (Closes: #497778)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Sep 2008 13:49:00 +0200

nufw (2.2.15-2) unstable; urgency=high

  * Remove rpath to insecure location (Closes: #495769)
  * urgency=high because of RC bug
  * Add dependency on rpath
  * Bump standards version (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 25 Aug 2008 11:42:20 +0200

nufw (2.2.15-1) unstable; urgency=low

  * New upstream release
  * Rebuild with support for several python versions (Closes: #476238)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 15 Apr 2008 15:54:47 +0200

nufw (2.2.14-2) unstable; urgency=low

  * Rebuild for python transition (Closes: #476173)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 15 Apr 2008 09:16:45 +0200

nufw (2.2.14-1) unstable; urgency=low

  * New upstream release
  * Debian directory is now separated from upstream

 -- Pierre Chifflier <pollux@debian.org>  Tue, 08 Apr 2008 15:15:58 +0200

nufw (2.2.13-2) unstable; urgency=low

  * Backport patch from upstream to fix build (error with inline functions)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 03 Apr 2008 11:50:15 +0200

nufw (2.2.13-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 Apr 2008 12:12:11 +0200

nufw (2.2.11-2) unstable; urgency=low

  * Fix bashism in NuFW init script (Closes: #465013)
  * Fix spelling in control (mysql -> MySQL)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 10 Feb 2008 18:22:09 +0100

nufw (2.2.11-1) unstable; urgency=low

  * New upstream release
  * Bump standards version



=== debian/control ===
Source: nufw
Section: net
Priority: optional
XS-Python-Version: all
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9.0), po-debconf, automake,
               dh-autoreconf,
               libldap2-dev, libglib2.0-dev,
               libmysqlclient-dev | libmysqlclient15-dev,
               libpq-dev,
               iptables-dev,
               libtool,
               libgnutls-dev, libsasl2-dev,
               libpam0g-dev,
               libprelude-dev,
               libnetfilter-conntrack-dev, libnetfilter-queue-dev, libnfnetlink-dev,
               python-support (>= 0.4), python-dev,
               pkg-config,
               flex, bison,
               chrpath
Standards-Version: 3.9.4
Homepage: http://www.nufw.org/-English-.html

Package: nufw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnussl1 (= ${binary:Version}), debconf (>= 1.3.22), ucf, ssl-cert, openssl
Suggests: ulogd, ulogd-mysql
Description: The authenticating firewall [NFQUEUE daemon]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 NuFW can:
  * Act as a traditional firewall
  * Add user identity to the list of parameters used to write firewall rules
  * Authenticate any connection or protocol
  * Perform accounting, routing and quality of service based on users
  * Filter packets with criteria such as application and OS
  * Log all traffic in SQL with username and application information
  * Be the key of a secure and simple Single Sign On system.
 .
 This package provides the daemon receiving packets through the NFQUEUE
 netfilter rule. Information about those packets are forwarded to the
 nuauth daemon, which decides if packets should be accepted or denied,
 sends back the information to Nufw that applies decisions.

Package: nuauth
Architecture: any
Pre-Depends: passwd, adduser
Depends: ${shlibs:Depends},
    ${misc:Depends},
    libnussl1 (= ${binary:Version}),
    debconf (>= 1.3.22),
    ucf,
    libsasl2-modules,
    ssl-cert,
    openssl
Recommends: nuauth-utils
Description: The authenticating firewall [authentication daemon]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 NuFW can:
  * Act as a traditional firewall
  * Add user identity to the list of parameters used to write firewall rules
  * Authenticate any connection or protocol
  * Perform accounting, routing and quality of service based on users
  * Filter packets with criteria such as application and OS
  * Log all traffic in SQL with username and application information
  * Be the key of a secure and simple Single Sign On system.
 .
 This package provides the authentication daemon, which uses a user database
 (though PAM modules) and an ACL database (which can be a LDAP directory,
 or XML/DBM files, etc.).
 Nuauth handles both client authentication, taking decisions on requests
 sent by the nufw daemon to accept packets or not, and sending decision
 to the nufw daemon.

Package: nuauth-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nuauth
Recommends: nuauth-utils
Description: The authenticating firewall [extra modules]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 Nuauth-extra provides extra modules for nuauth, such as the ipauth_guest
 and auth_mysql modules.

Package: nuauth-log-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nuauth
Recommends: nuauth-utils
Description: The authenticating firewall [MySQL log module]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This package adds support for nuauth logging users activity into a MySQL
 database. You can use this for an SSO solution, too.

Package: nuauth-log-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nuauth
Recommends: nuauth-utils
Description: The authenticating firewall [PostgreSQL log module]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This package adds support for nuauth logging users activity into a PostgreSQL
 database. You can use this for an SSO solution, too.

Package: nutcpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnuclient4 (= ${binary:Version})
Description: The authenticating firewall [client]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 nutcpc is a console-mode client for the NUFW authenticating firewall.
 It is in charge of authenticating the user, and replying to nuauth requests
 to send information on network connections.

Package: nuauth-utils
Architecture: all
Depends: ${shlibs:Depends},
    ${python:Depends},
    ${misc:Depends},
    python-ipy,
    perl,
    libnet-ldap-perl,
    nuauth
XB-Python-Version: ${python:Versions}
Description: The authenticating firewall [tools for admin]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 nuaclgen is a perl script that helps generate LDAP ACLs for use with nuauth,
 the nufw authentication daemon. nuauth_command is a Python script to control
 the nuauth daemon.

Package: libnuclient4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules, libnussl1 (= ${binary:Version})
Replaces: libnuclient
Conflicts: libnuclient
Description: The authenticating firewall [client library]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This library provides the library for nufw clients.

Package: libnuclient-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-dev, libssl-dev, libnuclient4 (= ${binary:Version})
Section: libdevel
Description: The authenticating firewall [client development files]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This library provides files needed to develop a NuFW client.

Package: libpam-nufw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnuclient4 (= ${binary:Version})
Section: admin
Description: The authenticating firewall [PAM module]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This package contains a PAM module to transparently authenticate to the NuFW
 authentication daemon. It uses the login and password to start a NuFW client,
 for the duration of the session.

Package: libnussl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The authenticating firewall [SSL library]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This library provides an abstraction layer over SSL functions.

Package: libnussl-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-dev, libssl-dev, libnussl1 (= ${binary:Version})
Section: libdevel
Description: The authenticating firewall [SSL development files]
 NuFW is an authenticating firewall based on netfilter's NFQUEUE target.
 It allows one to write filtering rules based on user identity, in addition 
 to classical network criteria. Unless other solutions, NuFW uses a
 strict security model and can apply different access rules to users
 connected on the same host, for example.
 .
 This library provides the files needed to develop an application
 using nussl.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh ${@} --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- \
			--sysconfdir=/etc/nufw/ --with-mysql-log --with-pgsql-log --with-system-auth --with-ldap \
			--with-utf8 --with-nfqueue --with-nfconntrack --without-fixedtimeout --enable-pam-nufw \
			--with-prelude-log --with-mysql-auth

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.pyc" -delete

override_dh_auto_install:
	dh_auto_install
	$(MAKE) install-conf DESTDIR=$(CURDIR)/debian/tmp/ sysconfdir=$(CURDIR)/debian/tmp/etc/nufw/
#default certificates
#	cp $(CURDIR)/conf/certs/nufw-key.pem $(CURDIR)/debian/tmp/etc/nufw/certs
#	cp $(CURDIR)/conf/certs/nufw-cert.pem $(CURDIR)/debian/tmp/etc/nufw/certs
#	cp $(CURDIR)/conf/certs/nuauth-key.pem $(CURDIR)/debian/tmp/etc/nufw/certs
#	cp $(CURDIR)/conf/certs/nuauth-cert.pem $(CURDIR)/debian/tmp/etc/nufw/certs

	# move nuauth config files to /usr/share/nuauth, we will handle them using ucf in nuauth.postinst file
	install -d -m0755 $(CURDIR)/debian/tmp/usr/share/nuauth
	mv $(CURDIR)/debian/tmp/etc/nufw/nuauth.conf $(CURDIR)/debian/tmp/etc/nufw/nuauth.d $(CURDIR)/debian/tmp/usr/share/nuauth/
	for file in `find $(CURDIR)/debian/tmp/usr/share/nuauth/ -type f`; do \
	sed -e "s+^#\? *nuauth_tls_key=.*+nuauth_tls_key=\"/etc/nufw/certs/nuauth-key.pem\"+" \
	    -e "s+^#\? *nuauth_tls_cert=.*+nuauth_tls_cert=\"/etc/nufw/certs/nuauth-cert.pem\"+" \
	    -e "s+^#\? *nuauth_tls_cacert=.*+nuauth_tls_cacert=\"/etc/ssl/certs/ssl-cert-snakeoil.pem\"+" \
	    -e "s+^#\? *nuauth_tls_dh_params=.*+nuauth_tls_dh_params=\"/etc/nufw/certs/nuauth-dh_params.pem\"+" \
	    -e "s+^ *plaintext_aclfile=.*+plaintext_aclfile=\"/etc/nufw/acls.nufw\"+" \
	    -e "s+^ *plaintext_userfile=.*+plaintext_userfile=\"/etc/nufw/users.nufw\"+" \
	    -e "s+^ *nuauth_user_check_module=.*+nuauth_user_check_module=\"system\"+" \
	    -e "s+^ *nuauth_tls_request_cert=.*+nuauth_tls_request_cert=1+" \
	    -e "s+^#\? *nuauth_tls_disable_nufw_fqdn_check=.*+nuauth_tls_disable_nufw_fqdn_check=1+" \
	     -i $$file; \
	done
	#
	# do the same for nufw.conf
	install -d -m0755 $(CURDIR)/debian/tmp/usr/share/nufw
	mv $(CURDIR)/debian/tmp/etc/nufw/nufw.conf $(CURDIR)/debian/tmp/usr/share/nufw/
	for file in `find $(CURDIR)/debian/tmp/usr/share/nufw/ -type f`; do \
	sed -e "s+^#\? *nufw_tls_key=.*+nufw_tls_key=\"/etc/nufw/certs/nufw-key.pem\"+" \
	    -e "s+^#\? *nufw_tls_cert=.*+nufw_tls_cert=\"/etc/nufw/certs/nufw-cert.pem\"+" \
	    -e "s+^#\? *nufw_tls_cacert=.*+nufw_tls_cacert=\"/etc/ssl/certs/ssl-cert-snakeoil.pem\"+" \
	     -i $$file; \
	done
	#
	install -m0755 $(CURDIR)/scripts/nuaclgen $(CURDIR)/debian/tmp/usr/bin
	install -m0755 $(CURDIR)/scripts/nutop $(CURDIR)/debian/tmp/usr/bin
	install -m0755 $(CURDIR)/scripts/clean_conntrack.pl $(CURDIR)/debian/tmp/usr/sbin
	install -m0640 $(CURDIR)/conf/nuaclgen.conf $(CURDIR)/debian/tmp/etc/nufw/
	install -m0640 $(CURDIR)/conf/nutop.conf $(CURDIR)/debian/tmp/etc/nufw/
	#
	# remove extra files
	find $(CURDIR)/debian/tmp -name "*.egg-info" -delete
	find $(CURDIR)/debian/tmp -name "*.a" -delete
	find $(CURDIR)/debian/tmp -name "libnobuffer*" -delete
	find $(CURDIR)/debian/tmp -name "*.pem" -delete
	find $(CURDIR)/debian/tmp -name "*.pyc" -delete


override_dh_install:
	dh_install -X.la --fail-missing --sourcedir=debian/tmp
